#
# spec file for package regina (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         regina
Version:      2.1
Release:      130
Summary:      The Regina REXX interpreter
Copyright:   	LGPL, Copyright (C) 1992-1994 Anders Christensen <anders@pvv.unit.no>; (now maintained by) Mark Hessling <M.Hessling@qut.edu.au> http://www.lightlink.com/hessling/
Group:        Development/Libraries
Provides:    	regina, rexx
Autoreqprov: 	on
Source: 	Regina-%{version}.tar.bz2
Patch:		regina.dif
Patch1:		alpha-patch.diff
Patch2: 	Regina-%{version}-config.dif

%description
Mark Hessling's implementation of the REXX language.

Authors:
--------
    Anders Christensen <anders@pvv.unit.no>
    Mark Hessling <M.Hessling@qut.edu.au>

SuSE series: d

%prep
%setup -n Regina-%{version}
%patch
%ifarch alpha ia64
%patch1 -p 1
%endif
%patch2
%{?suse_update_config:%{suse_update_config -f}}
cat contrib/acsite.m4 >>aclocal.m4
autoconf
./configure --prefix=/usr --mandir=%{_mandir}

%build
make

%install
make install
rm -rf		/usr/rexx

%files
%doc COPYING-LIB
%doc demo/*.rexx
/usr/bin/rexx
/usr/bin/regina
/usr/lib/libregina.a
/usr/lib/libregina.so
/usr/lib/libregina.so.2
/usr/lib/libregina.so.2.1
/usr/lib/libtest1.so
/usr/lib/libtest2.so
/usr/include/rexxsaa.h
%doc %{_mandir}/man1/rexx.1.gz

%changelog -n regina
* Fri Jun 15 2001 - schwab@suse.de
- Fix for new autoconf.
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Mon Sep 18 2000 - schwab@suse.de
- Use alpha patch on ia64 and lower opt level.
* Thu Sep 14 2000 - ro@suse.de
- update to 2.1
- fix for alpha
* Thu Jul 06 2000 - mge@suse.de
- Update to regina 2.0.0
* Mon Feb 14 2000 - mge@suse.de
- patched Makefile.in to make mandir valid
* Mon Feb 14 2000 - mge@suse.de
- fixed mandir
* Sun Feb 13 2000 - mge@suse.de
- update to 0.8h
- group tag
- use version macro
* Mon Oct 25 1999 - mge@suse.de
- initial SuSE-RPM
